%define languageenglazy Icelandic
%define languagecode    is
%define lc_ctype        is_IS

%define upstream_version 20090823

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 7
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+
Group:          System/Internationalization
URL:            http://extensions.services.openoffice.org/project/dict-is
Source0:        http://extensions.services.openoffice.org/files/2829/1/Icelandic-dict-2009-08-23.oxt

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-is
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
for i in LICENSE_en_US.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-1 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
install -D -m 0644 -p dictionaries/is_IS.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p dictionaries/is_IS.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc LICENSE_en_US.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.20090823.1-7.mga3
+ Revision: 353505
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.20090823.1-6.mga3
+ Revision: 325466
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 0.20090823.1-5.mga2
+ Revision: 224696
- add requirement on locales (mga#4632)

* Sun Feb 12 2012 kamil <kamil> 0.20090823.1-4.mga2
+ Revision: 208098
- use better obsoleting of myspell

* Thu Jan 26 2012 kamil <kamil> 0.20090823.1-3.mga2
+ Revision: 201838
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20090823.1-2.mga1
+ Revision: 68864
- imported package hunspell-is

